Subject: Folder icon incompatibility problem

From: Carsten Neumann <[email-masked]>
Date: Thu, 19 Apr 2001 00:43:31 +0200

Hi all,

I just encountered a problem with folder icon names regarding HFS and netatalk.

What I did:
  1. I copied folders with non-standard icons to my netatalk server.
  2. I made a CD image of the folder containing those mentioned above:
     mkhybrid -hfs -a --netatalk -o <image-name> <apple-share>
  3. I mounted that image:
     mount -t hfs -o loop,ro,afpd <image-name> <mount-point>
  4. I mounted that volume on my Mac.

Effect:
  The non-standard icons are not shown on my mounted image.

What I detected:
  The folder icon names in <apple-ahare> had the name "Icon^M" (Carriage Return at the end).
  The forder icon names in <mount-point> had the name "Icon:0d"

I think that this is an inconsistent handling by netatalk.
Usually special characters are translated to :<HexCode> but not CR!

I have 1.5pre5 installed using kernel 2.2.13.

Is this problem unknown or wasn't it changed due to compatibility aspects with older netatalk
versions?
Will this be changed in the future?

Last note: I've just checked if the translation is mkhybrid or HFS related.
Also original Apple-CDs showed "Icon:0d" names.
So mkhybrid is not responsible for the translation.

Thanks and kind regards

	Carsten